%global version_major 1
%global serial 1
%global meadalpha %{nil}
%global meadrel %{nil}

# workaround scl-utils bug
%global __python %__python3

# NOTE:
# %%bcond_without bootstrap
# should only be used to build the first SCL meta-package, i.e. jws5-1
#
# %%bcond_with bootstrap
# should be used for all subsequent builds so that the dependency on
# javapackages-tools is correctly added
%bcond_without bootstrap

%global scl_name_base jws
%global scl_name_version 6
%global scl %{scl_name_base}%{scl_name_version}
%global nfsmountable 1

%scl_package %scl

Name:           %scl_name
Version:        1
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:        Package that installs %scl
License:        GPLv2+
%{?scl:Requires: %scl_runtime} = %{version}-%{release}}
BuildRequires:  scl-utils-build

%description
This is the main package for the %scl Software Collection.

%package runtime
Summary:        Package that handles %scl Software Collection
Requires:       scl-utils
%if %without bootstrap
Requires:       %{name}-javapackages-tools
BuildRequires:  %{name}-javapackages-tools
%endif

%description runtime
Package shipping essential scripts to work with the %scl Software Collection.

%package build
Summary:        Package shipping basic build configuration
%{?scl:Requires: %scl_runtime}
Requires:       scl-utils-build

%description build
Package shipping essential configuration macros to build the %scl Software Collection.

%prep
%setup -q -c -T

%install
%{__rm} -rf %{buildroot}

%scl_install

%{__cat} >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH=%{_bindir}\${PATH:+:\${PATH}}
export LD_LIBRARY_PATH=%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}
export MANPATH=%{_mandir}:\$MANPATH
export PKG_CONFIG_PATH=%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}
EOF

%{__cat} >> %{buildroot}%{_scl_scripts}/service-environment << EOF
# Services are started in a fresh environment without any influence of user's
# environment (like environment variable values). As a consequence,
# information of all enabled collections will be lost during service start up.
# If user needs to run a service under any software collection enabled, this
# collection has to be written into HTTPD24_HTTPD_SCLS_ENABLED variable in
# /opt/rh/sclname/service-environment.
JWS6_SCLS_ENABLED="%{scl}"
EOF

%clean
%{__rm} -rf %{buildroot}

%files

%files runtime
%scl_files
%config(noreplace) %{_scl_scripts}/service-environment

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%changelog
* Fri Apr 28 2023 Sokratis Zappis <szappis@redhat.com> - 1-1
- Build for jws6

* Thu Feb 08 2018 Coty Sutherland <csutherl@redhat.com> 1-1
- release
